# Claude Code Guidance - Citadel Project

**Maintainer:** Nicolas

## Project Overview

Citadel is a collection of shell scripts for managing a self-hosted server for personal usage. It provides automated backup management using Restic with systemd integration for containerized services.

## Deployment Structure

- **Development:** `/home/nicolas/dev/citadel`
- **Production:** `$HOME/citadel` (default user: "citadel")
- **Configuration:** `$HOME/.config/citadel`

## Development Guidelines

### Core Principles
- **Simplicity first:** Keep solutions minimal and focused
- **No unsolicited features:** Only implement specifically requested functionality
- **Ask before enhancing:** If a feature seems beneficial, ask before implementing
- **Shell scripts only:** Use bash/shell scripting as the primary technology
- **No migration scripts:** Unless explicitly requested

### Code Standards
- **Comments & Documentation:** English only
- **Error handling:** Use consistent patterns across scripts
- **Security:** Follow secure coding practices, especially for password/secret handling
- **Integration:** Prefer using the centralized template system for new services

### File Exclusions
- **Do not analyze:** Files listed in `.gitignore`

## Communication
- **Interaction language:** French (Nicolas preference)
- **Code language:** English (comments, documentation, variable names)
